/*
 * OpenComal -- a free Comal implementation
 *
 * This file is part of the OpenComal package.
 * (c) Copyright 1992-2024 Jos Visser <josvisser66@gmail.com>
 *
 * The OpenComal package is covered by the GNU General Public
 * License. See doc/LICENSE for more information.
 */

extern void compile_exp(struct expression *exp, long *regis, enum VAL_TYPE *type);

extern void compile_exp_lval(struct expression *exp, long *regis, enum VAL_TYPE *type, int autodef);

extern void compile_logexp(struct expression *exp, long *regis);

/*
PUBLIC void *compile_exp_lval(struct expression *exp, enum VAL_TYPE *type,
PUBLIC long compile_intexp(struct expression *exp)
*/
